<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>data filter</title>
</head>

<body>
    <script>
        const filterBy = function (array, type) {
            return newArray = array.filter(function (item) {
                if (item === null && type === 'null') {
                    return false
                }
                return (typeof item != type)
            })
        }
        const array = ['hello', 'world', 23, '23', null];
        console.log(filterBy(array, "null"))

    </script>
</body>

</html>